﻿using System;
using System.Collections.Generic;

namespace WCFTransactions
{
	public class Program
	{
		public static void Main()
		{
			DistributedStoreService ms;
			List<int> ports = new List<int>(new int[] { 18772, 18774, 18877 });

			// Setup all nodes
			ports.ForEach(port => ms = new DistributedStoreService(port));

			// Setup client and save multiple values on all nodes or none (rollback)
			DistributedStoreClient mc = new DistributedStoreClient(ports.ToArray());
			mc.Save("123");
			mc.Save("456");
			mc.Save("789");
			mc.Save("ABC");
			mc.Save("DAK");
			mc.Save("XYZ");
			mc.Save("AOL");
			mc.Save("LTM");
			mc.Save("AOK");
			mc.Save("FAZ");
		}
	}
}
